$(document).ready(function(){

  var current = new Date();
  var launchDate = new Date("February 07, 2017 00:00:00");
  var roundClosed = new Date("April 11, 2017 09:00:00");
  
  // For Testing purposes
  // var launchDate = new Date("January 30, 2017 13:42:00");
  // var roundClosed = new Date("February 02, 2017 17:00:00");

  // Since the Round is open, show the Apply button and Submission Label/Clock
  if (current.getTime() > launchDate.getTime() && current.getTime() < roundClosed.getTime()){
    $('#applyButton').show();
	$('#submissionTitle').show();
	$('#submissionClock').show();
	$('#submissionDisplay').show();
    $('#launchTitle').hide();
	$('#launchClock').hide();
	$('#launchDisplay').hide();
	$('#currentlyClosed').hide();
	$('#currentlyClosedDisplay').hide();
  }
  // Round is closed so hide all labels/clocks and show Closed text
  else if (current.getTime() > roundClosed.getTime()) {
    $('#applyButton').hide();
	$('#submissionTitle').hide();
	$('#submissionClock').hide();
	$('#submissionDisplay').hide();
    $('#launchTitle').hide();
	$('#launchClock').hide();
	$('#launchDisplay').hide();
	$('#currentlyClosed').show();
	$('#currentlyClosedDisplay').show();
	}
  // Round is not open yet but we are counting down to launch
  else {
	$('#applyButton').hide();
	$('#submissionTitle').hide();
	$('#submissionClock').hide();
	$('#submissionDisplay').hide();
	$('#launchTitle').show();
	$('#launchClock').show();
	$('#launchDisplay').show();
	$('#currentlyClosed').hide();
	$('#currentlyClosedDisplay').hide();
	}
});